#include <<stdlib.h>>
#include <<stdio.h>>
#include <<string.h>>
#include <<softc.h>>
#include <<sc_base.h>>

SC_FIELD fields[] = { "fname",'c',25,0,
                     "lname",'c',10,0,
                     "dob",'d',8,0 };

 void main () {
 int dbf, idx1, fname_fieldno, lname_fieldno, dob_fieldno;
 long recno=1;
 char fname[26], lname[26], dob[9];

 atexit(scdterm);
 scdinit(20,0);

 scddcreate("names.dbf", 3, fields, SC_FB);
 scddopenx(&dbf,"names.dbf",0);

 scdicreate("nam_last.idx",'c',"lname",25);
 scdiopenx(&idx1,"nam_last.idx",0);
 scdiktype(idx1, 'C');

 scddfnam2no (dbf, &fname_fieldno, "fname");
 scddfnam2no (dbf, &lname_fieldno, "lname");
 scddfnam2no (dbf, &dob_fieldno, "dob");

 do {
     printf("First Name: "); gets(fname);
     if (*fname == 0) break;
     printf("Last Name: "); gets(lname);
     printf("Date of Birth: "); gets(dob);

     scddfput(dbf,fname_fieldno,fname);
     scddfput(dbf,lname_fieldno,lname);
     scddfput(dbf,dob_fieldno,dob);

     if (scddrput(dbf,&recno,SC_ADD) == SC_SUCCESS)
    scdikadd(idx1,lname,recno);
   } while (1);

 scdiktop(idx1,lname,&recno);
 do {
   scddrget(dbf,recno);

   scddfget(dbf,fname_fieldno,fname);
   scddfget(dbf,lname_fieldno,lname);
   scddfget(dbf,dob_fieldno,dob);
   printf ("Name: %s %s, Dob: %s", fname, lname, dob);

   scdiknext(idx1,lname,&recno);
 } while (scecode() != SC_END);

 scddclose(dbf);
 scdiclose(idx1);
}


